Skip to content
Docs
Users

Delete

Delete

client.organizations.users.delete(stringuserID, UserDeleteParams { organization_id, xClientRequestID } params, RequestOptionsoptions?): void
DELETE/organizations/{organization_id}/users/{user_id}

Remove a user from an organization

ParametersExpand Collapse
userID: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params: UserDeleteParams { organization_id, xClientRequestID }
organization_id: string

Path param: Organization ID or label identifier

minLength1
maxLength255
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Delete

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

await client.organizations.users.delete('ab3def8hij2klm9opq5rst7uvw', { organization_id: 'x' });
Returns Examples